0
$\begingroup$

Rosanswers logo

I want to install rgbdslam(http://www.ros.org/wiki/rgbdslam) and let it work.

When I execute rosmake --rosdep-install rgbdslam, it has error message as follows:


cd build && cmake -Wdev -DCMAKE_TOOLCHAIN_FILE=rospack find rosbuild/rostoolchain.cmake ..

[rosbuild] Building package rgbdslam

Failed to invoke /opt/ros/diamondback/ros/bin/rospack deps-manifests rgbdslam

[rospack] couldn't find dependency [hogman_minimal] of [rgbdslam]

[rospack] missing dependency

CMake Error at /opt/ros/diamondback/ros/core/rosbuild/public.cmake:113 (message):

Failed to invoke rospack to get compile flags for package 'rgbdslam'. Look above for errors from rospack itself. Aborting. Please fix the broken dependency!

Call Stack (most recent call first): /opt/ros/diamondback/ros/core/rosbuild/public.cmake:183 (rosbuild_invoke_rospack)

CMakeLists.txt:31 (rosbuild_init)

-- Configuring incomplete, errors occurred!


How can I solve it? Thanks for your help.


Originally posted by Ting on ROS Answers with karma: 1 on 2011-12-21

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

You have to install the hogman_minimal package. Use this command:

svn checkout http://alufr-ros-pkg.googlecode.com/svn/trunk/freiburg_tools/hogman_minimal

This can be found in the rgbdslam tutorials.

EDIT: Run the following commands.

roscd hogman_minimal
rosmake

Originally posted by DimitriProsser with karma: 11163 on 2011-12-21

This answer was ACCEPTED on the original site

Post score: 2

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.